client-login
{
org.jboss.security.ClientLoginModule  required;
};
example
{
   org.jboss.security.ClientLoginModule  required;
org.jboss.security.auth.spi.DatabaseServerLoginModule 
required
   dsJndiName="java:/OracleDS"
principalsQuery="Select Password from Principals where PrincipalID =?"
rolesQuery="Select Role 'Roles', RoleGroup 'RoleGroups' from Roles  where  PrincipalID =?"
   ;
};